HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetEvents

Contains the different functions to run the operation getEvents

  • 5 types
  • 4 values
valuegetEvents
  1. :: MonadHTTP m
  2. => GetEventsParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetEventsResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/events

<p>List events, going back up to 30 days. Each event data is rendered according to Stripe API version at its creation time, specified in <a href="/docs/api/events/object">event object</a> <code>api_version</code> attribute (not according to your current Stripe API version or <code>Stripe-Version</code> header).</p>

datadata GetEventsParameters
#

Defines the object schema located at paths./v1/events.GET.parameters in the specification.

Constructors

  • GetEventsParameters
    • getEventsParametersQueryCreated :: Maybe GetEventsParametersQueryCreated'Variants

      queryCreated: Represents the parameter named 'created'

    • getEventsParametersQueryDeliverySuccess :: Maybe Bool

      queryDelivery_success: Represents the parameter named 'delivery_success'

      Filter events by whether all webhooks were successfully delivered. If false, events which are still pending or have failed all delivery attempts to a webhook endpoint will be returned.

    • getEventsParametersQueryEndingBefore :: Maybe Text

      queryEnding_before: Represents the parameter named 'ending_before'

      A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

      Constraints:

      • Maximum length of 5000

    • getEventsParametersQueryExpand :: Maybe [Text]

      queryExpand: Represents the parameter named 'expand'

      Specifies which fields in the response should be expanded.

    • getEventsParametersQueryLimit :: Maybe Int

      queryLimit: Represents the parameter named 'limit'

      A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

    • getEventsParametersQueryStartingAfter :: Maybe Text

      queryStarting_after: Represents the parameter named 'starting_after'

      A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

      Constraints:

      • Maximum length of 5000

    • getEventsParametersQueryType :: Maybe Text

      queryType: Represents the parameter named 'type'

      A string containing a specific event name, or group of events using * as a wildcard. The list will be filtered to include only events with a matching event property.

      Constraints:

      • Maximum length of 5000

    • getEventsParametersQueryTypes :: Maybe [Text]

      queryTypes: Represents the parameter named 'types'

      An array of up to 20 strings containing specific event names. The list will be filtered to include only events with a matching event property. You may pass either `type` or `types`, but not both.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/events.GET.parameters.properties.queryCreated.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/events.GET.parameters.properties.queryCreated.anyOf in the specification.

Represents the parameter named 'created'

Instances4Eq, Show, FromJSON, ToJSON
datadata GetEventsResponse
#

Represents a response of the operation getEvents.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetEventsResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/events.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON